#ifndef WINDOW
#define WINDOW

#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <string>
#include <iostream>
#include "../game/GameObject.h"

using namespace std;

class Window
{
    public:
        Window(int width, int height, int windowFps, int windowFlags);
        void clear();
        void draw(GameObject &draw);
        void update();
        void quit();

    private:
        SDL_Window *window;
        SDL_Renderer *renderer;
        SDL_Texture* spritesheet;
        int windowDelay;
};

#endif //WINDOW